%define modname fedora_elections

Name:           fedora-elections
Version:        1.91
Release:        1%{?dist}
Summary:        Fedora elections application

Group:          Development/Languages
License:        GPLv2+
URL:            https://github.com/fedora-infra/elections
Source0:        %{name}/%{name}-%{version}.tar.gz
#Source0:        https://fedorahosted.org/releases/f/a/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python-fedora
BuildRequires:  python-fedora-flask
BuildRequires:  python-flask-wtf
BuildRequires:  python-kitchen
BuildRequires:  python-openid
BuildRequires:  python-openid-teams
BuildRequires:  python-openid-cla
BuildRequires:  python-setuptools
BuildRequires:  python-wtforms

Requires:       python-fedora
Requires:       python-fedora-flask
Requires:       python-flask-wtf
Requires:       python-kitchen
Requires:       python-openid
Requires:       python-openid-teams
Requires:       python-openid-cla
Requires:       python-wtforms

# EPEL6
%if ( 0%{?rhel} && 0%{?rhel} == 6 )
BuildRequires:  python-sqlalchemy0.7
Requires:  python-sqlalchemy0.7
%else
BuildRequires:  python-sqlalchemy > 0.5
Requires:  python-sqlalchemy > 0.5
%endif


%description
fedora-elections is the Fedora Elections application.

%prep
%setup -q


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


# Install apache configuration file
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/conf.d/
install -m 644 files/fedora-elections.conf \
  $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/conf.d/fedora-elections.conf

# Install configuration file
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/fedora-elections
install -m 644 files/fedora-elections.cfg \
  $RPM_BUILD_ROOT/%{_sysconfdir}/fedora-elections/fedora-elections.cfg

# Install WSGI file
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/fedora-elections
install -m 644 files/fedora-elections.wsgi \
  $RPM_BUILD_ROOT/%{_datadir}/fedora-elections/fedora-elections.wsgi

# Install the createdb script
install -m 644 createdb.py \
  $RPM_BUILD_ROOT/%{_datadir}/fedora-elections/fedora-elections_createdb.py



%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.cfg
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%{python_sitelib}/%{modname}/
%{python_sitelib}/%{modname}*.egg-info/
%{_datadir}/%{name}


%changelog
* Tue Apr 08 2014 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.91-1
- Update to 1.91
- Fix the createdb.py script

* Tue Apr 08 2014 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.90-1
- First pre-release
